Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model.container
Class StorageSystem

    java.lang.Object
      org.teleal.cling.support.model.DIDLObject
          org.teleal.cling.support.model.container.Container
              org.teleal.cling.support.model.container.StorageSystem

    public class StorageSystem

extends Container

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.support.model.DIDLObject
`DIDLObject.Class, DIDLObject.Property<V>`

Field Summary
`static DIDLObject.Class` | `CLASS`

Fields inherited from class org.teleal.cling.support.model.container.Container
`childCount, containers, createClasses, items, searchable, searchClasses`

Fields inherited from class org.teleal.cling.support.model.DIDLObject
`clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

Constructor Summary
`StorageSystem()`
`StorageSystem(Container other)`
`StorageSystem(String id, Container parent, String title, String creator, Integer childCount, Long storageTotal, Long storageUsed, Long storageFree, Long storageMaxPartition, StorageMedium storageMedium)`
`StorageSystem(String id, String parentID, String title, String creator, Integer childCount, Long storageTotal, Long storageUsed, Long storageFree, Long storageMaxPartition, StorageMedium storageMedium)`

Method Summary
`Long` | `getStorageFree()`
`Long` | `getStorageMaxPartition()`
`StorageMedium` | `getStorageMedium()`
`Long` | `getStorageTotal()`
`Long` | `getStorageUsed()`
`StorageSystem` | `setStorageFree(Long l)`
`StorageSystem` | `setStorageMaxPartition(Long l)`
`StorageSystem` | `setStorageMedium(StorageMedium storageMedium)`
`StorageSystem` | `setStorageTotal(Long l)`
`StorageSystem` | `setStorageUsed(Long l)`

Methods inherited from class org.teleal.cling.support.model.container.Container
`addContainer, addItem, getChildCount, getContainers, getCreateClasses, getFirstContainer, getItems, getSearchClasses, isSearchable, setChildCount, setContainers, setCreateClasses, setItems, setSearchable, setSearchClasses`

Methods inherited from class org.teleal.cling.support.model.DIDLObject
`addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final DIDLObject.Class CLASS

Constructor Detail

### StorageSystem

    public StorageSystem()

### StorageSystem

    public StorageSystem(Container other)

### StorageSystem

    public StorageSystem(String id,
                         Container parent,
                         String title,
                         String creator,
                         Integer childCount,
                         Long storageTotal,
                         Long storageUsed,
                         Long storageFree,
                         Long storageMaxPartition,
                         StorageMedium storageMedium)

### StorageSystem

    public StorageSystem(String id,
                         String parentID,
                         String title,
                         String creator,
                         Integer childCount,
                         Long storageTotal,
                         Long storageUsed,
                         Long storageFree,
                         Long storageMaxPartition,
                         StorageMedium storageMedium)

Method Detail

### getStorageTotal

    public Long getStorageTotal()

### setStorageTotal

    public StorageSystem setStorageTotal(Long l)

### getStorageUsed

    public Long getStorageUsed()

### setStorageUsed

    public StorageSystem setStorageUsed(Long l)

### getStorageFree

    public Long getStorageFree()

### setStorageFree

    public StorageSystem setStorageFree(Long l)

### getStorageMaxPartition

    public Long getStorageMaxPartition()

### setStorageMaxPartition

    public StorageSystem setStorageMaxPartition(Long l)

### getStorageMedium

    public StorageMedium getStorageMedium()

### setStorageMedium

    public StorageSystem setStorageMedium(StorageMedium storageMedium)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.